/* Default: alles aus */
.event-detail-block .edit-port-btn,
.event-detail-block .delete-stop-btn,
.event-detail-block .add-ship-stop-btn,
.event-detail-block .detail-edit-delete,
.event-detail-block .dt-edit {
    display:none;
}


/* =====================
   PORT MODE
===================== */
/* Stop Buttons sichtbar */
.event-detail-block.mode-ports .edit-port-btn,
.event-detail-block.mode-ports .delete-stop-btn {
    display:inline-block;
}

/* =====================
   EDIT MODE
===================== */
.xevent-detail-block.mode-edit .detail-edit-actions {
    display:flex !important;
}

/* =====================
   PORT MODE
===================== */
 /* Hauptbuttons aus */
.xevent-detail-block.mode-ports .detail-edit-actions button {
    display:none;
}

/* Nur Zurück sichtbar */
.xevent-detail-block.mode-ports .detail-edit-actions .detail-edit-back {
    display:inline-block;
}


/* Map aus */
.xevent-detail-block.mode-edit .ship-map {
    display:none;
}

.edit-control { display: none; }
.edit-mode .edit-control { display: inline-flex; }

